> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Omnichannel Contact > > **Note:** This endpoint will be replaced. Refer to the [new API documentation](https://developer.rocket.chat/apidocs/get-omnichannel-contact) for updated usage and features. Get an Omnichannel contact by ID. Permission required: `view-l-room`. The response does not include the contact's visitor `token`. ### Changelog | Version | Description | | ------- | ----------- | | 8.9.0 | Removed the visitor `token` from the response. | ## OpenAPI ````json GET /api/v1/omnichannel/contact { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/omnichannel/contact": { "get": { "summary": "Get Omnichannel Contact", "description": "> **Note:** This endpoint will be replaced. Refer to the [new API documentation](https://developer.rocket.chat/apidocs/get-omnichannel-contact) for updated usage and features.\n\nGet an Omnichannel contact by ID.\nPermission required: `view-l-room`.\n\nThe response does not include the contact's visitor `token`.\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 8.9.0 | Removed the visitor `token` from the response. |", "operationId": "get-api-v1-omnichannel-contact", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" }, { "name": "contactId", "in": "query", "required": true, "description": "The contact ID.", "schema": { "type": "string" }, "example": "62fbed6d337291dc9a68ff89" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "contact": { "type": "object", "nullable": true, "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "status": { "type": "string" }, "ts": { "type": "string" }, "_updatedAt": { "type": "string" }, "department": { "type": "string" }, "name": { "type": "string" }, "visitorEmails": { "type": "array", "items": { "type": "object", "properties": { "address": { "type": "string" } } } }, "phone": { "type": "array", "items": { "type": "object", "properties": { "phoneNumber": { "type": "string" } } } }, "livechatData": { "type": "object" } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "contact": { "_id": "62fbed6d337291dc9a68ff89", "username": "guest-16", "status": "online", "ts": "2022-08-16T19:18:05.38Z", "_updatedAt": "2022-08-23T17:58:37.254Z", "name": "Kev", "visitorEmails": [ { "address": "email@rocket.chat" } ] }, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/permissionError" } }, "tags": [ "Omnichannel Contacts" ] } } }, "components": { "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "permissionError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": false, "error": "User does not have the permissions required for this action [error-unauthorized]" } }, "Unauthorized": { "value": { "success": false, "error": "unauthorized" } } } } } } } } } ````